Bug 4928 - gdm won't recompile from src rpm
Summary: gdm won't recompile from src rpm
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: distribution   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-05 19:52 UTC by Jay Freeman
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-06 16:53:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Freeman 1999-09-05 19:52:56 UTC
I was trying to research bug #4891 when I ran into this
problem, I had run into it before with other things I had
wanted to compile that I had downloaded, but not part of
rawhide before (at least, as far as I can remember).  The
linking fails on yp_* functions (in this case,
yp_get_default_domain), and the command needs to be run
again linked with either libnsl or libpwdb (I have no idea
what libnsl does, so I don't know which is the desired
functionality).

[root(2)@ironclad SPECS]# rpm -bc gdm.spec
Executing: %prep
...
gcc -O2 -m486 -fno-strength-reduce -g -Wall -Wpointer-
arith -Wmissing-prototypes -Wmissing-declarations -o gdm
gdm.o gdmslave.o gdmserver.o gdmverify.o gdmmisc.o
gdmauth.o gdmcookie.o gdmxdmcp.o md5.o -rdynamic -
L/usr/lib -L/usr/X11R6/lib -lgnome -lgnomesupport -lesd -
laudiofile -lm -ldb1 -lglib -ldl -lXdmcp -lX11 -
lpam /usr/lib/libwrap.a
/usr/lib/libwrap.a(hosts_access.o): In function
`host_match':
hosts_access.o(.text+0x400): undefined reference to
`yp_get_default_domain'
collect2: ld returned 1 exit status
make[2]: *** [gdm] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gdm-
1.0.0/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gdm-1.0.0'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.18708 (%build)
[root(2)@ironclad SPECS]# cd ../BUILD/gdm-1.0.0/src/
[root(2)@ironclad src]# gcc -O2 -m486 -fno-strength-reduce -
g -Wall -Wpointer-arith -Wmissing-prototypes -Wmissing-
declarations -o gdm gdm.o gdmslave.o gdmserver.o
gdmverify.o gdmmisc.o gdmauth.o gdmcookie.o gdmxdmcp.o
md5.o -rdynamic -L/usr/lib -L/usr/X11R6/lib -lgnome -
lgnomesupport -lesd -laudiofile -lm -ldb1 -lglib -ldl -
lXdmcp -lX11 -lpam -lpwdb /usr/lib/libwrap.a
[root(2)@ironclad src]#

Comment 1 Jeff Johnson 1999-09-06 16:53:59 UTC
Fixed in gdm-1.0.0-40 by msw. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.